<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


include_once "include/config.php";
include_once "include/site.php";
;

$album_id = pg_escape_string($_REQUEST['album']);

$database = site_prolog(PO_USER_TYPE_CLIENT);
$go = TRUE;

/* Ensure mere users don't erase an album that isn't theirs! */
if ($po_user['type'] < PO_USER_TYPE_ADMIN) {
  $result = pg_query($database, "select identifier from album where identifier='$album_id' and users = $po_user[id]");
  if (pg_num_rows($result) <= 0) {
    site_push_error($strings['errors']['not_owner']);
    header("Location: login.php");
    $go = FALSE;
  }
 }

/* Clean up sub-albums properly */
if ($go && ($album_id!="")) {
  $result = pg_query($database, "begin");
  if ($result) {
    /* Find all albums with us as their parent... */
    $result = pg_query($database, "select parent_album from album where identifier='$album_id'");
    if (pg_num_rows($result)) {
      $parent_album = pg_fetch_row($result);
      if ($parent_album[0] = "")
	$parent_album[0] = FALSE;
	
    } else {
      $parent_album = array(FALSE);
    }
  }

  if ($parent_album[0] != FALSE && $result) {
    /* And make them ours! */
    $result = pg_query($database, "update album set parent_album = $parent_album[0] where parent_album = $album_id");
  }

  if ($result) {
    $result = pg_query($database, "delete from album_content where album='$album_id'");
  }

  if ($result) {
    $result = pg_query($database, "delete from album where identifier='$album_id'");
  }

  if ($result) {
    pg_query($database, "commit");
  } else {
    pg_query($database, "abort");
    site_push_error($strings['errors']['db_insert_failed']);
  }
 }

site_epilog($database);

if ($parent_album[0] == FALSE) {
  header("Location: user.php?user=$po_user[id]");
} else {
  header("Location: album.php?album=$parent_album[0]");
}
?>
