<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


include_once "include/config.php";
;
include_once "include/import.php";
include_once "include/common.php";
include_once "include/site.php";
include_once "include/mime.php";

$photo_id           = pg_escape_string($_REQUEST['photo']);
$master             = pg_escape_string($_REQUEST['master']);
$comment            = pg_escape_string($_REQUEST['comment']);
$colorspace         = pg_escape_string($_REQUEST['colorspace']);
$file_name          = $_FILES['file_name']['name'][0];
$file_size          = $_FILES['file_name']['size'][0];
$file_name_tmp      = $_FILES['file_name']['tmp_name'][0];
$original_file_type = strtolower(substr($file_name, strrpos($file_name, ".") + 1));

$database = site_prolog(PO_USER_TYPE_USER);

$photo_data = pg_fetch_row(pg_query($database, "
  select users, caption
    from photo, photo_version
   where photo.identifier = photo_version.photo
     and photo_version.master = 't'
     and photo.identifier = '$photo_id'"));

/* Enforce ownership */
if (($po_user['type'] != PO_USER_TYPE_ADMIN) &&
    ($po_user['id'] != $photo_data[0])) {
  site_epilog($database);
  site_push_error($strings['errors']['not_owner']);
  header("Location: login.php");
  exit();
}

site_header(sprintf($strings['profile']['add'], $strings['generic']['version']));
$user_display_string = user_disp_string($photo_data[3], $po_user['id'], 
					"", "");
site_navigator(5);
$folder_data = pg_fetch_row(pg_query($database, "
    select folder.identifier, folder.caption
      from photo, folder
     where photo.folder = folder.identifier
       and photo.identifier='$photo_id'"));
$path_to_folder = get_path_to_folder($database, $folder_data[0]);

site_navigator_status("$user_display_string $path_to_folder : <a href=\"folder.php?folder=$folder_data[0]\">$folder_data[1]</a> : <a href=\"photo.php?photo=$photo_id&amp;detail_info=5\">$photo_data[1]</a> : ".$strings['import']['import_photos'], "");

$image_data['file'][0]['name']     = $file_name;
$image_data['file'][0]['name_tmp'] = $file_name_tmp;
$image_data['file'][0]['type']     = $original_file_type;
$image_data['file'][0]['remark']   = $comment;
$image_data['file'][0]['master']   = $master;
$image_data['colorspace'] = $colorspace;

photo_version_import($database, 0, $photo_data[0], $photo_id, $image_data);

print "<br/>".$strings['import']['complete']."<br/>";

site_footer($database);
site_epilog($database);

?>
