<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


include_once "include/config.php";
include_once "include/profile.php";
include_once "include/site.php";
;
include_once "include/common.php";

$database = site_prolog(PO_USER_TYPE_USER);

$type = pg_escape_string($_REQUEST['type']);
$manufacturer_filter = pg_escape_string(isset($_REQUEST['filter']) ? $_REQUEST['filter'] : "");

$manufacturer = pg_query($database, "select identifier, name from manufacturer order by name");

switch ($manufacturer_filter) {
 case 'All':
 case '':
   $item_type = pg_query($database, "select identifier, name, model, variation, url from view_".$type."_type");
   break;
 default:
   $item_type = pg_query($database, "select identifier, name, model, variation, url from view_".$type."_type where name='$manufacturer_filter'");
}

site_header(sprintf($strings['profile']['add'], $strings['generic'][$type]));
site_navigator(6);
site_navigator_status(emit_a("user.php", $strings['generic']['users'])." : ".emit_a("my.profile.php", $strings['generic']['my_profile'])." : ".sprintf($strings['profile']['add'], $strings['generic'][$type]), "");

display_navigator_box_top($profile_data[$type]['idx'], $profile_data, "100%");

if (pg_num_rows($manufacturer) == 0) {
  print emit_manuf_add_needed($type);
  display_navigator_box_bottom("100%");
  site_footer($database);
  site_epilog($database);
  exit;
}

print "<form method=\"post\" action=\"profile.add.2.php\">\n";
print "<table class=\"profile\">\n";

emit_profile_manuf_combo("profile.add.php?type=$type", $type, 3, $manufacturer, $manufacturer_filter);

print "<tr>\n";
print "<th width=\"5%\"></th>\n";
print emit_th($strings['profile']['manufacturer'], "width=\"35%\"");
print emit_th($strings['profile']['model'], "width=\"45%\"");
print emit_th($strings['profile']['variation'], "width=\"20%\"");
print "</tr>\n";

print "<input type=\"hidden\" name=\"type\" value=\"$type\" />\n";
$num = pg_num_rows($item_type);
if ($num > 0) {
  for ($i=0; $i < $num; $i++) {
    $r = pg_fetch_row($item_type, $i);
    print "<tr>\n";
    print "<td><input type=\"radio\" name=\"type_id\" value=\"$r[0]\"/></td>\n";
    print "<td><a href=\"$r[4]\">$r[1]</a></td>\n";
    print "<td>$r[2]</td>\n";
    print "<td>$r[3]</td>\n";
    print "</tr>\n";
  }
} else
  print "<tr><td colspan=\"4\">".sprintf($strings['profile']['none_found'], $strings['generic'][$type])." ".$strings['generic']['types'] ."</td></tr>\n";

print "</table>\n";

print "<table class=\"profile\">\n";
print "<tr class=\"folder_top\">\n";
print "<td colspan=\"4\">".sprintf($strings['profile']['new_type'], $strings['generic'][$type])."</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<th width=\"5%\"></th>\n";
print emit_th($strings['profile']['manufacturer'], "width=\"35%\"");
print emit_th($strings['profile']['model'], "width=\"45%\"");
print emit_th($strings['profile']['variation'], "width=\"20%\"");
print "</tr>\n";

print "<tr>\n";
print "<td><input type=\"radio\" name=\"type_id\" value=\"custom\" checked/></td>\n";
print "<td>";
print emit_manufacturer_combo('manufacturer_id', $manufacturer, "");
print "</td>\n";
print "<td><input type=\"text\" name=\"model\"/></td>\n";
print "<td><input type=\"text\" name=\"variation\"/></td>\n";
print "</tr>\n";
print "</table>\n";

print "<table class=\"profile\">\n";
print "<tr class=\"folder_top\"><td colspan=\"4\">".sprintf($strings['profile']['specific_data'], $strings['generic'][$type])."</td></tr>\n";

print "<tr>\n";
print emit_th($strings['profile']['serial']);
print emit_th($strings['profile']['purchased']);
print emit_th($strings['profile']['new']);
print emit_th($strings['generic']['access']);
print "</tr>\n";

print "<tr>\n";
print "<td><input type=\"text\" name=\"serial_number\"/></td>\n";
print "<td>\n";
print emit_date_input_form("purchase_timestamp", "");
print "</td>\n";
print "<td>\n"; display_yes_no_combo("purchased_new", "t"); print "</td>\n";
print "<td>\n"; display_access_combo("access_rights", "t", ""); print "</td>\n";
print "</tr>\n";
print "</table>\n";

print $thm_elem['button.add'];
print $thm_elem['button.clear'];
print $thm_elem['button.cancel'];
print "</form>\n";

display_navigator_box_bottom("100%");

site_footer($database);
site_epilog($database);
?>
