<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


include_once "include/config.php";
include_once "include/site.php";
;
include_once "include/common.php";

$database = site_prolog(PO_USER_TYPE_USER);

$year  = (int)$_REQUEST['year'];
$month = (int)$_REQUEST['month'];
if ($month < 1 || $month > 12) {
  $month = 1;
}
$day   = (int)$_REQUEST['day'];
if ($day < 1 || $day > $daysInMonth[$month]) {
  $day = 1;
}

$timestamp = mktime(12, 0, 0, $month, $day, $year);
$date = strftime($strings['formats']['date'], $timestamp);

site_header($strings['datebook']['create_event']);
site_navigator(8);
site_navigator_status(emit_a("user.php", $strings['generic']['users'])." : ".emit_a("my.datebook.php", $strings['generic']['my_datebook'])." : ".$strings['datebook']['create_event'], "");

print "<br/>";
print "<form method=\"post\" action=\"event.add.2.php\">\n";
print "<input type=\"hidden\" name=\"year\"  value=\"$year\" />\n";
print "<input type=\"hidden\" name=\"month\" value=\"$month\" />\n";
print "<input type=\"hidden\" name=\"day\"   value=\"$day\" />\n";
print "<table class=\"listing\">\n";
print "<tr><td>".$strings['datebook']['date']."</td><td><a href=my.datebook.php?view=1&amp;year=$year&amp;month=$month&amp;day=$day>$date</a></td></tr>\n";
print "<tr><td>".$strings['datebook']['start']."</td><td>"; display_hour_combo("start_hour", "", TRUE); print ":&nbsp;";  display_minute_combo("start_minute", ""); print "</td></tr>\n";
print "<tr><td>".$strings['datebook']['end']."</td><td>"; display_hour_combo("end_hour", "", TRUE); print ":&nbsp;"; display_minute_combo("end_minute", ""); print "</td></tr>\n";
print "<tr><td>".$strings['datebook']['client']."</td><td>" . generate_html_clients_combo("client", $database, $po_user['id'], $event_data[4]) . "</td></tr>";
print "<tr><td>".$strings['generic']['remark']."</td><td><textarea id=\"template_editor\"  name=\"remark\" rows=\"7\" cols=\"60\"></textarea></td></tr>\n";
print "</table>\n";

print "<br/>\n";
print "<center>\n";
print $thm_elem['button.add'];
print $thm_elem['button.clear'];
print $thm_elem['button.cancel'];
print "</center>\n";
print "</form>\n";

site_footer($database);
site_epilog($database);
?>
