<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


include_once "include/config.php";
include_once "include/site.php";
;
include_once "include/common.php";

$database = site_prolog(PO_USER_TYPE_USER);

$event  = pg_escape_string($_REQUEST['event']);

$event_data = pg_fetch_row(pg_query($database, "select start_date, end_date, remark, users from calendar where identifier=$event"));
$year  = (int)substr($event_data[0], 0, 4);
$month = (int)substr($event_data[0], 5, 2);
$day   = (int)substr($event_data[0], 8, 2);

if ($po_user['id'] != $event_data[3]) {
  site_epilog($database);
  site_push_error($strings['errors']['not_owner']);
  header("Location: login.php");
  exit();
}

$CR = chr(13);
$event_data[2] = str_replace("$CR$CR", "<p>", "$event_data[2]");
$event_data[2] = str_replace("$CR", "<br/>", "$event_data[2]");

$timestamp = mktime(12, 0, 0, $month, $day, $year);

site_header($strings['datebook']['del_event']);
site_navigator(8);
site_navigator_status(emit_a("user.php", $strings['generic']['users'])." : ".emit_a("my.datebook.php", $strings['generic']['my_datebook'])." : " . $strings['datebook']['del_event'], "");

print "<br/>\n";
print "<form method=\"post\" action=\"event.del.2.php\">\n";
print "<input type=\"hidden\" name=\"event\" value=\"$event\" />\n";
print "<input type=\"hidden\" name=\"year\"  value=\"$year\" />\n";
print "<input type=\"hidden\" name=\"month\" value=\"$month\" />\n";
print "<input type=\"hidden\" name=\"day\"   value=\"$day\" />\n";
print "<table class=\"listing\">\n";
print "<tr><td>".$strings['datebook']['date']."</td><td><a href=my.datebook.php?view=1&amp;year=$year&amp;month=$month&amp;day=$day>".emit_date_html($event_data[0], "date")."</a></td></tr>\n";
print "<tr><td>".$strings['datebook']['time'] ."</td><td>".emit_date_html($event_data[0], "time")." - ".emit_date_html($event_data[1], "time")."</td></tr>\n";
print "<tr><td>".$strings['generic']['remark']."</td><td>$event_data[2]</td></tr>\n";
print "</table>\n";

print "<br/>\n";
print "<center>\n";
print $thm_elem['button.confirm.delete'];
print $thm_elem['button.cancel'];
print "</center>\n";
print "</form>\n";

site_footer($database);
site_epilog($database);
?>
