<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


include_once "include/config.php";
include_once "include/site.php";
include_once "include/common.php";
include_once "include/contacts.php";
;

$database = site_prolog(PO_USER_TYPE_USER);

$folder_parent = pg_escape_string($_REQUEST['parent']);
$folder_all = pg_query($database, "select identifier, caption, parent_folder from folder where users=$po_user[id] and identifier != $po_user[trash_folder] and caption != 'Trash' order by date_of_creation desc");
if ($folder_parent) {
  $folder_data = pg_fetch_row(pg_query($database, "select caption from folder where identifier='$folder_parent'"));
  $path_to_folder = get_path_to_folder($database, $folder_parent);
  $path_to_folder = $path_to_folder . " : <a href=\"folder.php?folder=$folder_parent\">$folder_data[0]</a>";
 } else {
  $path_to_folder = "";
 }

site_header($strings['generic']['add_folder']);
site_navigator(5);
site_navigator_status(user_disp_string($po_user['id'], $po_user['id'],
				       "", "")."$path_to_folder : ".$strings['generic']['add_folder'], "");
print "&nbsp;<br/>\n";
print "<form method=\"post\" action=\"folder.add.2.php\">";

print "<table class=\"folder\">\n";
print "<tr>";
print emit_th($strings['generic']['folder_name'], "width=\"40%\"");
print emit_th($strings['generic']['parent'], "width=\"25%\"");
print emit_th($strings['generic']['access'], "width=\"15%\"");
print emit_th($strings['generic']['password'], "width=\"15%\"");
print "</tr>";
print "<tr>";
print "<td><input class=\"template_editor\" type=\"text\" name=\"folder_caption\" tabindex=\"1\"/></td>";
print "<td>";
display_folder_combo("parent", $folder_all, $folder_parent, "null");
print "</td>\n";
print "<td>"; display_access_combo("folder_access_rights", "t", ""); print "</td>\n";
print "<td><input type=\"text\" name=\"password\" value=\"\"></td>";
print "</tr>";
print "</table>";

print "&nbsp;<br/>\n";

print "<table class=\"listing\">\n";
print "<tr>";
print emit_td($strings['datebook']['event']);
print emit_td(emit_event_combo($database, "event", $po_user['id'], "null"));
print "</tr>";
print "</table>";

print "&nbsp;<br/>\n";

print "<table class=\"folder\">\n";
print "<tr>";
print emit_th($strings['generic']['description']);
print "</tr>";
print "<tr>";
print "<td colspan=\"3\">";
print "<textarea rows=4 size=\"100%\" name=\"folder_description\"></textarea>";
print "</td>";
print "</tr>";
print "</table>";

print "&nbsp;<br/>\n";

print "<div align=\"center\">";
print $thm_elem['button.add'];
print $thm_elem['button.clear'];
print $thm_elem['button.cancel'];
print "</div>\n";
print "</form>";
site_footer($database);
site_epilog($database);
?>
