<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


include_once "include/config.php";
include_once "include/site.php";
;
include_once "include/common.php";
include_once "include/contacts.php";
include_once "include/orderby.php";

$database = site_prolog(PO_USER_TYPE_USER);

$folder_id = pg_escape_string($_REQUEST['folder']);

$folder_data = pg_fetch_row(pg_query($database, "select caption, date_of_creation, access_rights, parent_folder, description, users, password, event from folder where identifier='$folder_id'"));

/* Ensure mere users don't edit an folder that isn't theirs! */
if (($po_user['id'] != $folder_data[5]) &&
    ($po_user['type'] < PO_USER_TYPE_ADMIN)) {
    site_epilog($database);
    site_push_error($strings['errors']['not_owner']);
    header("Location: login.php");
    exit();
}

$folder_all = pg_query($database, "select identifier, caption, parent_folder from folder where users=$po_user[id] and identifier != $folder_id and identifier != $po_user[trash_folder] and caption != 'Trash' order by date_of_creation desc");

$folder_stats = pg_fetch_assoc(pg_query($database, "select count_subfolders_by_folder($folder_id, $po_user[id], '{".$passwords."}') as folders, count_photos_by_folder($folder_id, $po_user[id], '{".$passwords."}') as photos"));

$path_to_folder = get_path_to_folder($database, $folder_id);
site_header($strings['generic']['edit_folder']);
site_navigator(5);
site_navigator_status(user_disp_string($po_user['id'], $po_user['id'],
				       "", "")."$path_to_folder :  <a href=\"folder.php?folder=$folder_id\">$folder_data[0]</a> : " .$strings['generic']['edit_folder'], "");

print "&nbsp;<br/>\n";

print "<form method=\"post\" action=\"folder.edit.2.php\">";
print "<input type=\"hidden\" name=\"folder\" value=\"$folder_id\"/>";
print "<table class=\"folder\">\n";
print "<tr>";
print emit_th($strings['generic']['folder_name'], "width=\"28%\"");
print emit_th($strings['generic']['parent'], "width=\"27%\"");
print emit_th($strings['generic']['subfolders'], "width=\"5%\"");
print emit_th($strings['generic']['photos'], "width=\"5%\"");
print emit_th($strings['generic']['created'], "width=\"12%\"");
print emit_th($strings['generic']['access'], "width=\"10%\"");
print emit_th($strings['generic']['password'], "width=\"13%\"");
print "</tr>";
print "<tr>";
print "<td><input type=\"text\" name=\"folder_caption\" value=\"$folder_data[0]\"/></td>";
print "<td>";
display_folder_combo("parent", $folder_all, $folder_data[3], "null");
print "</td>\n";
print "<td>$folder_stats[folders]</td>\n";
print "<td>$folder_stats[photos]</td>\n";
print "<td>".emit_date_html($folder_data[1], 'date'). "</td>";
print "<td>"; display_access_combo("folder_access_rights", $folder_data[2], ""); 
print "</td>\n";
print "<td><input type=\"text\" name=\"password\" value=\"$folder_data[6]\"></td>";
print "</tr>";
print "</table>";

print "&nbsp;<br/>\n";

print "<table class=\"listing\">\n";
print "<tr>";
print emit_td($strings['datebook']['event']);
print emit_td(emit_event_combo($database, "event", $po_user['id'], $folder_data[7]));
print "</tr>";
print "</table>";

print "&nbsp;<br/>\n";

print "<table class=\"folder\">\n";
print "<tr>";
print emit_th($strings['generic']['description']);
print "</tr>";
print "<tr>";
print "<td>";
print "<textarea name=\"folder_description\" rows=\"4\" cols=\"80\">$folder_data[4]</textarea>";
print "</td>";
print "</tr>";
print "</table>";
print "&nbsp;<br/>\n";

print "<div align=\"center\">\n";
print $thm_elem['button.save.changes'];
print $thm_elem['button.clear'];
print $thm_elem['button.cancel'];
print "</div>\n";
print "</form>";
site_footer($database);
site_epilog($database);
?>
